EvaluateSystemScript("screen.js");
EvaluateSystemScript("oldsphere.js");
EvaluateSystemScript("colors.js");

var Magi = LoadSound("Magi.ogg");
var Relm = LoadSound("Relm.ogg");
var Magi2 = LoadSound("Magi2.ogg");
var Fierce = LoadSound("Fierce.ogg");
var Snowfield = LoadSound("Snowfield.ogg");

//WARP FUNCTIONS//
function Warp(x,y,layer,map)
{
var person = GetInputPerson();
if(map) ChangeMap(map);
if (layer >=0) SetPersonLayer(person,layer);
SetPersonX(person,x);
SetPersonY(person,y);
}

function FancyWarp(x,y,layer,map)
{
FadeOut(1000);
Warp(x,y,layer,map);
UpdateMapEngine();
RenderMap();
FadeIn(1000);
}
////////////////////////////////////////////////////////////////////////
//Delay//

var lastupdate = 0; 

function Delay(time)
{
	var until = GetTime() + time;
	while (GetTime() < until)
	{
		//if (engineisrunning) TimedMapEngineUpdate();
	}
}

var update_rate = .01;

function TimedMapEngineUpdate()
{ 
	 
	if (lastupdate + update_rate <= GetTime())
	{ 
		UpdateMapEngine(); 
		lastupdate = GetTime(); 
	} 
}

//WAIT FUNCTION FOR SCENE TEXT//
function wait()
{
var wait=GetTime()+1*1000; //wait is now+3 seconds 
while (wait>GetTime()) //Wait those 3 secs 
{ 
UpdateMapEngine();//Give MapEngine time to walk 
RenderMap(); //render the map 
FlipScreen(); //display the map on screen 
} 
}


//Variables//

var intro_image = LoadImage("intro.png");
var system_window = LoadWindowStyle("winstyle.rws");
var system_font = LoadFont("arial.rfn");
var system_pointer = LoadImage("Hand.jpg");

//Functions//

function intro()
{
	intro_image.blit(0,0);
	FlipScreen();
	Delay(1000);
	startupMenu();
}


//StartupMenu//
function startupMenu()
{
  
  // the startup menu
  var done = false;
  var value = 1;
  
  while (!done)
  {
    system_window.drawWindow(86, 76, 148, 48);
    system_font.drawText(115, 86, "New Game");
    system_font.drawText(115, 96, "Load Game");
    system_font.drawText(115, 106, "Exit");
    system_pointer.blit(94, value * 10 + 74);
    FlipScreen();

    while(AreKeysLeft())
      switch(GetKey())
      {
        case KEY_ENTER: done = true;                    break;
        case KEY_DOWN:  value++;  break;
        case KEY_UP:    value--;  break;
      }

    if (value < 1) value = 3;
    if (value > 3) value = 1;
  }

  switch(value)
  {
    case 1: game2(); break;
    case 2: Abort("Nope. Not Implemented."); break;
    case 3: Exit(); break;
  }
  
  Exit();
}