//Variables//

var facenorth = COMMAND_FACE_NORTH; 
var movenorth = COMMAND_MOVE_NORTH;

var facesouth = COMMAND_FACE_SOUTH; 
var movesouth = COMMAND_MOVE_SOUTH;

var faceeast  = COMMAND_FACE_EAST; 
var moveeast  = COMMAND_MOVE_EAST;

var facewest  = COMMAND_FACE_WEST; 
var movewest  = COMMAND_MOVE_WEST;


//////////////////////MOVE FUNCTION///////////////////////////////

function Move(name, command, tiles, immediate)
{
  switch (command)
  {
    case COMMAND_MOVE_NORTH:
      QueuePersonCommand(name, COMMAND_FACE_NORTH, immediate);
      for (var i = 0; i < GetTileHeight() * tiles; ++i)
        QueuePersonCommand(name, command, false);
    break;

    case COMMAND_MOVE_SOUTH:
      QueuePersonCommand(name, COMMAND_FACE_SOUTH, immediate);
      for (var i = 0; i < GetTileHeight() * tiles; ++i)
        QueuePersonCommand(name, command, false);
    break;

    case COMMAND_MOVE_EAST:
      QueuePersonCommand(name, COMMAND_FACE_EAST, immediate);
      for (var i = 0; i < GetTileWidth() * tiles; ++i)
        QueuePersonCommand(name, command, false);
    break;

    case COMMAND_MOVE_WEST:
      QueuePersonCommand(name, COMMAND_FACE_WEST, immediate);
      for (var i = 0; i < GetTileWidth() * tiles; ++i)
        QueuePersonCommand(name, command, false);
    break;
  }
}

//Move("Jim", COMMAND_MOVE_NORTH, 5);
//And Jim will move north 5 tiles.
///////////////////////////////////////////////////////////////////////////////

function MoveRandomly()
{
  var person = GetCurrentPerson();
  var commands = new Array(COMMAND_MOVE_NORTH, COMMAND_MOVE_EAST, COMMAND_MOVE_SOUTH, COMMAND_MOVE_WEST);
  var r1 = Math.floor(Math.random() * commands.length);
  var r2 = Math.floor(Math.random() * 3); // 3 being the number of tiles

  Move(person, commands[r1], r2, false);
}

//And then:-
//SetPersonScript("Jim", SCRIPT_COMMAND_GENERATOR, "MoveRandomly()");
//Or in the Entity 'On Generate' script, write MoveRandomly();
////////////////////////////////////////////////////////////////////////////////

function Move2(name, move, face, times){
  for(j=0; j < times; j++){
  
    QueuePersonCommand(name, face, false);
  for(i = 0; i < 16; i++){
    QueuePersonCommand(name, move, false);
  }
 }
}

function face(name, face){
    QueuePersonCommand(name, face, false);
}

//Move2("TestPerson",movenorth,faceeast,3);
//////////////////////////////////////////////////////////////////////////////